Bug 492194 - spacewalk-setup Hangs Restarting Services
spacewalk-setup Hangs Restarting Services
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Installation (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Devan Goodwin
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-03-25 16:18 EDT by Devan Goodwin
Modified: 2009-09-17 03:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:11:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2009-03-25 16:18:17 EDT
Description of problem:

Spacewalk setup hangs at the final restarting services stage on Fedora 10. (at least)

Version-Release number of selected component (if applicable):

spacewalk-setup-0.5.25-1.fc10.noarch

How reproducible:

100% on Fedora 10, not sure about others.

Steps to Reproduce:
1. Run spacewalk-setup normally.
  
Actual results:

Setup prints "* Restarting services." then sits there forever.

Expected results:

Normal completion.


Additional info:

Technically all services have started successfully, the problem appears to be related to new code in Setup.pm sub system_debug originating in commit f5eb2855.

Placing an echo at the end of /usr/sbin/rhn-satellite shows that the script does terminate, but the while loop in system_debug never realizes this.

jabberd service appears to be the culprit, if while hung you switch to another terminal and "service jabberd restart" the original spacewalk-setup process immediately picks up and completes normally. If you remove jabberd from the list of services in /usr/sbin/rhn-satellite, the problem does not occur.

Reverting f5eb2855 also allows the process to complete normally. (though I have selinux disabled and I understand the change was to accomodate selinux in the first place)
Comment 1 Shannon Hughes 2009-03-25 16:34:43 EDT
just a couple notes that i noticed some logic sandwiched between the subroutines upgrade_stop_services and spinning_callback. was that supposed to be orphaned in the main driver area?
Comment 2 Jan Pazdziora 2009-03-26 13:01:53 EDT
Filed a bug 492378 against jabberd.

I'll try to come up with a workaround thou.
Comment 3 Jan Pazdziora 2009-03-27 06:26:40 EDT
Fix in commit 66f35d59c2f4d1771e0b17086a5f85f7c151982f.

Tagged as spacewalk-setup-0.5.27-1.
Comment 4 Jan Pazdziora 2009-04-01 02:36:27 EDT
With Spacewalk 0.5 released, moving ON_QA.
Comment 5 Devan Goodwin 2009-04-07 15:49:38 EDT
Verified.
Comment 6 Jesus M. Rodriguez 2009-04-14 10:13:38 EDT
Spacewalk 0.5 released.
Comment 7 Miroslav Suchý 2009-09-17 03:11:20 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.